Bug 64714 - (NET E100) Installer selects wrong module for IBM T23 Intel network card, should use e100
(NET E100) Installer selects wrong module for IBM T23 Intel network card, sho...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 17:39 EDT by Mike Zingale
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 00:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Zingale 2002-05-09 17:39:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
I installed RH 7.3 on an IBM Thinkpad T23.  The install went w/o problems and
all the hardware was detected automatically.  The network card is an Intel
82801CAM (ICH3) Chipset Ethernet controller (as returned from /proc/pci).  The
eepro100 module was aliased in my modules.conf for this controller, but network
transfers hang when using this.  Switching to the e100 module eliminated the
problems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use the eepro100 module with the integrated ethernet
2. transfer some data using scp
3. transfer will hang

	

Actual Results:  The network connection hangs

Expected Results:  Data should be transferred uninterupted

Additional info:

The e100 driver eliminates all problems.
Comment 1 Niels Kristian Jensen 2002-06-12 16:19:46 EDT
I can add that the installer (netboot.img) also hangs - if and only if I connect to a 10 Mbit/s hub (half duplex).

When I added a 10/100 MBit/s switch (full duplex) as a buffer between the PC and the hub, the installer ran fine.

On Windows 2000, the network card is listed as "Intel PRO/100VE" PCI bus 2 device 8 function 0

If is matters, I used DHCP settings, HTTP download from mirrors.sunsite.dk directory /redhat/7.3/en/os/i386 via a 2Mbit/512kbit ADSL line.
Comment 2 Niels Kristian Jensen 2003-06-09 16:23:14 EDT
A new guy on the task? Ok, fine:

I've just upgraded to Redhat 9 using FTP install from ftp.sunet.se and the
boot.img and the driver disk.

The installer didn't recognize my NIC but I was allowed a list to pick from. I
used the Intel e100 driver and it works fine. In other words, I didn't test any
other drivers.
Comment 3 Niels Kristian Jensen 2003-08-06 04:33:39 EDT
I still have the IBM T23 laptop and I can test any changes, you may want to 
check on the actual hardware.
Comment 4 Jeff Garzik 2004-03-03 00:58:05 EST
As e100 (not eepro100) appears to work, closing.  We are deprecating
eepro100 in favor of e100.

Note You need to log in before you can comment on or make changes to this bug.